> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tela.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Abort a running test case

> Marks every non-terminal generation of the test case as `aborted` and cancels its queued or executing background jobs.



## OpenAPI

````yaml POST /test-case/{id}/abort
openapi: 3.0.1
info:
  title: Tela API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.tela.com
security: []
paths:
  /test-case/{id}/abort:
    post:
      tags:
        - Test Case
      summary: Abort a running test case
      description: >
        Marks every non-terminal generation of the test case as `aborted` and
        cancels its queued or executing

        background jobs. Succeeds even when nothing is running (see `message`).
        No request body.
      parameters:
        - name: id
          in: path
          required: true
          description: Test case id.
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Abort result.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TestCaseRunAbortResponse'
        '400':
          description: Bad request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Missing or invalid credentials, or no access to the test case.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Test case not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearerAuth: []
components:
  schemas:
    TestCaseRunAbortResponse:
      type: object
      properties:
        success:
          type: boolean
          enum:
            - true
        message:
          type: string
          description: >-
            `Test case execution aborted successfully` when generations were
            aborted, otherwise `No running execution found`.
      required:
        - success
        - message
      example:
        success: true
        message: Test case execution aborted successfully
    Error: {}
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT or UUID

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.